diff --git a/VisualStudio/Demos/hangglide/hangglide.dsp b/VisualStudio/Demos/hangglide/hangglide.dsp
index cf6d9c2be..a2d3b2d82 100755
--- a/VisualStudio/Demos/hangglide/hangglide.dsp
+++ b/VisualStudio/Demos/hangglide/hangglide.dsp
@@ -154,3 +154,4 @@ SOURCE=..\..\..\src\Demos\hangglide\terrain_texcoords.h
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgbillboard/osgbillboard.dsp b/VisualStudio/Demos/osgbillboard/osgbillboard.dsp
index 09659a1f3..4fdae58c9 100755
--- a/VisualStudio/Demos/osgbillboard/osgbillboard.dsp
+++ b/VisualStudio/Demos/osgbillboard/osgbillboard.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgbillboard\osgbillboard.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgconv/osgconv.dsp b/VisualStudio/Demos/osgconv/osgconv.dsp
index 00175ff9a..bde52178f 100755
--- a/VisualStudio/Demos/osgconv/osgconv.dsp
+++ b/VisualStudio/Demos/osgconv/osgconv.dsp
@@ -97,3 +97,4 @@ SOURCE=..\..\..\src\Demos\osgconv\osgconv.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgcopy/osgcopy.dsp b/VisualStudio/Demos/osgcopy/osgcopy.dsp
index 47a73b10b..55e17974e 100755
--- a/VisualStudio/Demos/osgcopy/osgcopy.dsp
+++ b/VisualStudio/Demos/osgcopy/osgcopy.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgcopy\osgcopy.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgcube/osgcube.dsp b/VisualStudio/Demos/osgcube/osgcube.dsp
index 0381a3a2f..f9f4be5ee 100755
--- a/VisualStudio/Demos/osgcube/osgcube.dsp
+++ b/VisualStudio/Demos/osgcube/osgcube.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgcube\osgcube.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osghud/osghud.dsp b/VisualStudio/Demos/osghud/osghud.dsp
index e7dcae096..800907aa7 100755
--- a/VisualStudio/Demos/osghud/osghud.dsp
+++ b/VisualStudio/Demos/osghud/osghud.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osghud\osghud.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgimpostor/osgimpostor.dsp b/VisualStudio/Demos/osgimpostor/osgimpostor.dsp
index cc903a0ef..ebe3eefc6 100755
--- a/VisualStudio/Demos/osgimpostor/osgimpostor.dsp
+++ b/VisualStudio/Demos/osgimpostor/osgimpostor.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgimpostor\osgimpostor.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgreflect/osgreflect.dsp b/VisualStudio/Demos/osgreflect/osgreflect.dsp
index 8a07e993d..249567adb 100755
--- a/VisualStudio/Demos/osgreflect/osgreflect.dsp
+++ b/VisualStudio/Demos/osgreflect/osgreflect.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgreflect\osgreflect.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgscribe/osgscribe.dsp b/VisualStudio/Demos/osgscribe/osgscribe.dsp
index 6cff23b35..fc318a916 100755
--- a/VisualStudio/Demos/osgscribe/osgscribe.dsp
+++ b/VisualStudio/Demos/osgscribe/osgscribe.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgscribe\osgscribe.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgstereoimage/osgstereoimage.dsp b/VisualStudio/Demos/osgstereoimage/osgstereoimage.dsp
index 27115cd56..21ad02909 100755
--- a/VisualStudio/Demos/osgstereoimage/osgstereoimage.dsp
+++ b/VisualStudio/Demos/osgstereoimage/osgstereoimage.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgstereoimage\osgstereoimage.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgtext/osgtextdemo.dsp b/VisualStudio/Demos/osgtext/osgtextdemo.dsp
index 57af8ceb5..deebbef36 100644
--- a/VisualStudio/Demos/osgtext/osgtextdemo.dsp
+++ b/VisualStudio/Demos/osgtext/osgtextdemo.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgtext\main.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgtexture/osgstereoimage.dsp b/VisualStudio/Demos/osgtexture/osgstereoimage.dsp
index 46f397594..66c160868 100755
--- a/VisualStudio/Demos/osgtexture/osgstereoimage.dsp
+++ b/VisualStudio/Demos/osgtexture/osgstereoimage.dsp
@@ -1,191 +1,287 @@
 # Microsoft Developer Studio Project File - Name="osgstereoimage" - Package Owner=<4>
 
+
 # Microsoft Developer Studio Generated Build File, Format Version 6.00
 
+
 # ** DO NOT EDIT **
 
 
 
+
+
 # TARGTYPE "Win32 (x86) Console Application" 0x0103
 
 
 
+
+
 CFG=osgstereoimage - Win32 Debug
 
+
 !MESSAGE This is not a valid makefile. To build this project using NMAKE,
 
+
 !MESSAGE use the Export Makefile command and run
 
+
 !MESSAGE 
 
+
 !MESSAGE NMAKE /f "osgstereoimage.mak".
 
+
 !MESSAGE 
 
+
 !MESSAGE You can specify a configuration when running NMAKE
 
+
 !MESSAGE by defining the macro CFG on the command line. For example:
 
+
 !MESSAGE 
 
+
 !MESSAGE NMAKE /f "osgstereoimage.mak" CFG="Demo osgstereoimage - Win32 Debug"
 
+
 !MESSAGE 
 
+
 !MESSAGE Possible choices for configuration are:
 
+
 !MESSAGE 
 
+
 !MESSAGE "Demo osgstereoimage - Win32 Release" (based on "Win32 (x86) Console Application")
 
+
 !MESSAGE "Demo osgstereoimage - Win32 Debug" (based on "Win32 (x86) Console Application")
 
+
 !MESSAGE 
 
 
 
+
+
 # Begin Project
 
+
 # PROP AllowPerConfigDependencies 0
 
+
 # PROP Scc_ProjName ""
 
+
 # PROP Scc_LocalPath ""
 
+
 CPP=cl.exe
 
+
 RSC=rc.exe
 
 
 
+
+
 !IF  "$(CFG)" == "Demo osgstereoimage - Win32 Release"
 
 
 
+
+
 # PROP BASE Use_MFC 0
 
+
 # PROP BASE Use_Debug_Libraries 0
 
+
 # PROP BASE Output_Dir "Release"
 
+
 # PROP BASE Intermediate_Dir "Release"
 
+
 # PROP BASE Target_Dir ""
 
+
 # PROP Use_MFC 0
 
+
 # PROP Use_Debug_Libraries 0
 
+
 # PROP Output_Dir "Release"
 
+
 # PROP Intermediate_Dir "Release"
 
+
 # PROP Ignore_Export_Lib 0
 
+
 # PROP Target_Dir ""
 
+
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 
+
 # ADD CPP /nologo /MD /W3 /GR /GX /O2 /I "../../../include" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 
+
 # ADD BASE RSC /l 0x809 /d "NDEBUG"
 
+
 # ADD RSC /l 0x809 /d "NDEBUG"
 
+
 BSC32=bscmake.exe
 
+
 # ADD BASE BSC32 /nologo
 
+
 # ADD BSC32 /nologo
 
+
 LINK32=link.exe
 
+
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
 
+
 # ADD LINK32 /nologo /subsystem:console /pdb:none /machine:I386 /out:"../../../bin/osgstereoimage.exe" /libpath:"../../../lib"
 
 
 
+
+
 !ELSEIF  "$(CFG)" == "Demo osgstereoimage - Win32 Debug"
 
 
 
+
+
 # PROP BASE Use_MFC 0
 
+
 # PROP BASE Use_Debug_Libraries 1
 
+
 # PROP BASE Output_Dir "Debug"
 
+
 # PROP BASE Intermediate_Dir "Debug"
 
+
 # PROP BASE Target_Dir ""
 
+
 # PROP Use_MFC 0
 
+
 # PROP Use_Debug_Libraries 1
 
+
 # PROP Output_Dir "Debug"
 
+
 # PROP Intermediate_Dir "Debug"
 
+
 # PROP Ignore_Export_Lib 0
 
+
 # PROP Target_Dir ""
 
+
 # ADD BASE CPP /nologo /W3 /Gm /GX /Zi /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 
+
 # ADD CPP /nologo /MDd /W3 /Gm /vd0 /GR /GX /Zi /Od /I "../../../include" /D "_CONSOLE" /D "_MBCS" /D "WIN32" /D "_DEBUG" /D "FL_DLL" /FR /YX /FD /c
 
+
 # ADD BASE RSC /l 0x809 /d "_DEBUG"
 
+
 # ADD RSC /l 0x809 /d "_DEBUG"
 
+
 BSC32=bscmake.exe
 
+
 # ADD BASE BSC32 /nologo
 
+
 # ADD BSC32 /nologo
 
+
 LINK32=link.exe
 
+
 # ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
 
+
 # ADD LINK32 /nologo /subsystem:console /debug /machine:I386 /nodefaultlib:"libcmt" /out:"../../../bin/osgstereoimaged.exe" /pdbtype:sept /libpath:"../../../lib"
 
+
 # SUBTRACT LINK32 /incremental:no
 
 
 
+
+
 !ENDIF 
 
 
 
+
+
 # Begin Target
 
 
 
+
+
 # Name "Demo osgstereoimage - Win32 Release"
 
+
 # Name "Demo osgstereoimage - Win32 Debug"
 
+
 # Begin Source File
 
 
 
+
+
 SOURCE=..\..\..\src\Demos\osgstereoimage\osgstereoimage.cpp
 
+
 # End Source File
 
+
 # End Target
 
+
 # Begin Group "Resource Files"
 
 
 
+
+
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 
+
 # End Group
 
+
 # End Project
 
-
\ No newline at end of file
+
+
+\c
diff --git a/VisualStudio/Demos/osgtexture/osgtexture.dsp b/VisualStudio/Demos/osgtexture/osgtexture.dsp
index 7184dced3..053491fe0 100755
--- a/VisualStudio/Demos/osgtexture/osgtexture.dsp
+++ b/VisualStudio/Demos/osgtexture/osgtexture.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgtexture\osgtexture.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgversion/osgversion.dsp b/VisualStudio/Demos/osgversion/osgversion.dsp
index 840dee371..736e4d420 100755
--- a/VisualStudio/Demos/osgversion/osgversion.dsp
+++ b/VisualStudio/Demos/osgversion/osgversion.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgversion\osgversion.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/osgviews/osgviews.dsp b/VisualStudio/Demos/osgviews/osgviews.dsp
index 21ad42c92..61c4309dd 100755
--- a/VisualStudio/Demos/osgviews/osgviews.dsp
+++ b/VisualStudio/Demos/osgviews/osgviews.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\osgviews\osgviews.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/Demos/sgv/sgv.dsp b/VisualStudio/Demos/sgv/sgv.dsp
index b584105e7..dbdca3f0f 100755
--- a/VisualStudio/Demos/sgv/sgv.dsp
+++ b/VisualStudio/Demos/sgv/sgv.dsp
@@ -93,3 +93,4 @@ SOURCE=..\..\..\src\Demos\sgv\sgv.cpp
 # PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/VisualStudio.dsw b/VisualStudio/VisualStudio.dsw
index 57556e69d..c78a67d3c 100644
--- a/VisualStudio/VisualStudio.dsw
+++ b/VisualStudio/VisualStudio.dsw
@@ -3,7 +3,7 @@ Microsoft Developer Studio Workspace File, Format Version 6.00
 
 ###############################################################################
 
-Project: "Core osg"=.\osg\osg.dsp - Package Owner=<4>
+Project: "Core osg"=".\osg\osg.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -15,7 +15,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Core osgDB"=.\osgDB\osgDB.dsp - Package Owner=<4>
+Project: "Core osgDB"=".\osgDB\osgDB.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -30,7 +30,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Core osgGLUT"=.\osgGLUT\osgGLUT.dsp - Package Owner=<4>
+Project: "Core osgGLUT"=".\osgGLUT\osgGLUT.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -51,7 +51,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Core osgText"=.\osgText\osgText.dsp - Package Owner=<4>
+Project: "Core osgText"=".\osgText\osgText.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -69,7 +69,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Core osgUtil"=.\osgUtil\osgUtil.dsp - Package Owner=<4>
+Project: "Core osgUtil"=".\osgUtil\osgUtil.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -84,7 +84,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo hangglide"=.\Demos\hangglide\hangglide.dsp - Package Owner=<4>
+Project: "Demo hangglide"=".\Demos\hangglide\hangglide.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -108,7 +108,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgbillboard"=.\Demos\osgbillboard\osgbillboard.dsp - Package Owner=<4>
+Project: "Demo osgbillboard"=".\Demos\osgbillboard\osgbillboard.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -132,7 +132,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgconv"=.\Demos\osgconv\osgconv.dsp - Package Owner=<4>
+Project: "Demo osgconv"=".\Demos\osgconv\osgconv.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -153,7 +153,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgcopy"=.\Demos\osgcopy\osgcopy.dsp - Package Owner=<4>
+Project: "Demo osgcopy"=".\Demos\osgcopy\osgcopy.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -177,7 +177,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgcube"=.\Demos\osgcube\osgcube.dsp - Package Owner=<4>
+Project: "Demo osgcube"=".\Demos\osgcube\osgcube.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -201,7 +201,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osghud"=.\Demos\osghud\osghud.dsp - Package Owner=<4>
+Project: "Demo osghud"=".\Demos\osghud\osghud.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -228,7 +228,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgimpostor"=.\Demos\osgimpostor\osgimpostor.dsp - Package Owner=<4>
+Project: "Demo osgimpostor"=".\Demos\osgimpostor\osgimpostor.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -252,7 +252,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgreflect"=.\Demos\osgreflect\osgreflect.dsp - Package Owner=<4>
+Project: "Demo osgreflect"=".\Demos\osgreflect\osgreflect.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -276,7 +276,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgscribe"=.\Demos\osgscribe\osgscribe.dsp - Package Owner=<4>
+Project: "Demo osgscribe"=".\Demos\osgscribe\osgscribe.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -300,7 +300,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgstereoimage"=.\Demos\osgstereoimage\osgstereoimage.dsp - Package Owner=<4>
+Project: "Demo osgstereoimage"=".\Demos\osgstereoimage\osgstereoimage.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -324,7 +324,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgtext"=.\Demos\osgtext\osgtextdemo.dsp - Package Owner=<4>
+Project: "Demo osgtext"=".\Demos\osgtext\osgtextdemo.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -351,7 +351,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgtexture"=.\Demos\osgtexture\osgtexture.dsp - Package Owner=<4>
+Project: "Demo osgtexture"=".\Demos\osgtexture\osgtexture.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -375,7 +375,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgversion"=.\Demos\osgversion\osgversion.dsp - Package Owner=<4>
+Project: "Demo osgversion"=".\Demos\osgversion\osgversion.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -390,7 +390,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo osgviews"=.\Demos\osgviews\osgviews.dsp - Package Owner=<4>
+Project: "Demo osgviews"=".\Demos\osgviews\osgviews.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -414,7 +414,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "Demo sgv"=.\Demos\sgv\sgv.dsp - Package Owner=<4>
+Project: "Demo sgv"=".\Demos\sgv\sgv.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -438,7 +438,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin 3ds"=.\osgPlugins\lib3ds\lib3ds.dsp - Package Owner=<4>
+Project: "osgPlugin 3ds"=".\osgPlugins\lib3ds\lib3ds.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -456,7 +456,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin bmp"=.\osgPlugins\bmp\bmp.dsp - Package Owner=<4>
+Project: "osgPlugin bmp"=".\osgPlugins\bmp\bmp.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -474,7 +474,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin dw"=.\osgPlugins\dw\dw.dsp - Package Owner=<4>
+Project: "osgPlugin dw"=".\osgPlugins\dw\dw.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -492,7 +492,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin dx"=.\osgPlugins\dx\dx.dsp - Package Owner=<4>
+Project: "osgPlugin dx"=".\osgPlugins\dx\dx.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -510,7 +510,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin flt"=.\osgPlugins\flt\flt.dsp - Package Owner=<4>
+Project: "osgPlugin flt"=".\osgPlugins\flt\flt.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -528,7 +528,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin gif"=.\osgPlugins\gif\gif.dsp - Package Owner=<4>
+Project: "osgPlugin gif"=".\osgPlugins\gif\gif.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -546,7 +546,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin jpeg"=.\osgPlugins\jpeg\jpeg.dsp - Package Owner=<4>
+Project: "osgPlugin jpeg"=".\osgPlugins\jpeg\jpeg.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -564,7 +564,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin lwo"=.\osgPlugins\lwo\lwo.dsp - Package Owner=<4>
+Project: "osgPlugin lwo"=".\osgPlugins\lwo\lwo.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -585,7 +585,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin obj"=.\osgPlugins\obj\obj.dsp - Package Owner=<4>
+Project: "osgPlugin obj"=".\osgPlugins\obj\obj.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -603,7 +603,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin osg"=.\osgPlugins\osg\dot_osg.dsp - Package Owner=<4>
+Project: "osgPlugin osg"=".\osgPlugins\osg\dot_osg.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -621,7 +621,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin osgtgz"=.\osgPlugins\osgtgz\osgtgz.dsp - Package Owner=<4>
+Project: "osgPlugin osgtgz"=".\osgPlugins\osgtgz\osgtgz.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -639,7 +639,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin pic"=.\osgPlugins\pic\pic.dsp - Package Owner=<4>
+Project: "osgPlugin pic"=".\osgPlugins\pic\pic.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -657,7 +657,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin png"=.\osgPlugins\png\png.dsp - Package Owner=<4>
+Project: "osgPlugin png"=".\osgPlugins\png\png.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -675,7 +675,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin rgb"=.\osgPlugins\rgb\rgb.dsp - Package Owner=<4>
+Project: "osgPlugin rgb"=".\osgPlugins\rgb\rgb.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -693,7 +693,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin tga"=.\osgPlugins\tga\tga.dsp - Package Owner=<4>
+Project: "osgPlugin tga"=".\osgPlugins\tga\tga.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -711,7 +711,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin tgz"=.\osgPlugins\tgz\tgz.dsp - Package Owner=<4>
+Project: "osgPlugin tgz"=".\osgPlugins\tgz\tgz.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -729,7 +729,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin tiff"=.\osgPlugins\tiff\tiff.dsp - Package Owner=<4>
+Project: "osgPlugin tiff"=".\osgPlugins\tiff\tiff.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -747,7 +747,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin txp"=.\osgPlugins\txp\txp.dsp - Package Owner=<4>
+Project: "osgPlugin txp"=".\osgPlugins\txp\txp.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
@@ -765,7 +765,7 @@ Package=<4>
 
 ###############################################################################
 
-Project: "osgPlugin zip"=.\osgPlugins\zip\zip.dsp - Package Owner=<4>
+Project: "osgPlugin zip"=".\osgPlugins\zip\zip.dsp" - Package Owner=<4>
 
 Package=<5>
 {{{
diff --git a/VisualStudio/osg/osg.dsp b/VisualStudio/osg/osg.dsp
index 4c4e3ab41..5630b5517 100755
--- a/VisualStudio/osg/osg.dsp
+++ b/VisualStudio/osg/osg.dsp
@@ -670,3 +670,4 @@ SOURCE=..\..\include\osg\Viewport
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgDB/osgDB.dsp b/VisualStudio/osgDB/osgDB.dsp
index ef25dd042..b59a18d5d 100755
--- a/VisualStudio/osgDB/osgDB.dsp
+++ b/VisualStudio/osgDB/osgDB.dsp
@@ -214,3 +214,4 @@ SOURCE=..\..\Include\osgDB\WriteFile
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgGLUT/osgGLUT.dsp b/VisualStudio/osgGLUT/osgGLUT.dsp
index b21f0cd54..81084d2c3 100755
--- a/VisualStudio/osgGLUT/osgGLUT.dsp
+++ b/VisualStudio/osgGLUT/osgGLUT.dsp
@@ -142,3 +142,4 @@ SOURCE=..\..\Include\osgGLUT\Window
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/bmp/bmp.dsp b/VisualStudio/osgPlugins/bmp/bmp.dsp
index 71290c5e1..acfd04948 100644
--- a/VisualStudio/osgPlugins/bmp/bmp.dsp
+++ b/VisualStudio/osgPlugins/bmp/bmp.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\bmp\ReaderWriterBMP.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/dw/dw.dsp b/VisualStudio/osgPlugins/dw/dw.dsp
index 522002fae..5addf0099 100644
--- a/VisualStudio/osgPlugins/dw/dw.dsp
+++ b/VisualStudio/osgPlugins/dw/dw.dsp
@@ -111,3 +111,4 @@ SOURCE=..\..\..\src\osgPlugins\dw\ReaderWriterDW.cpp
 # PROP Default_Filter ""
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/dx/dx.dsp b/VisualStudio/osgPlugins/dx/dx.dsp
index 9f3eee4a8..e02345d9e 100755
--- a/VisualStudio/osgPlugins/dx/dx.dsp
+++ b/VisualStudio/osgPlugins/dx/dx.dsp
@@ -135,3 +135,4 @@ SOURCE=..\..\..\src\osgPlugins\dx\StateSetStr.h
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/flt/flt.dsp b/VisualStudio/osgPlugins/flt/flt.dsp
index 626c5d85e..38bade6ba 100644
--- a/VisualStudio/osgPlugins/flt/flt.dsp
+++ b/VisualStudio/osgPlugins/flt/flt.dsp
@@ -406,3 +406,4 @@ SOURCE=..\..\..\src\osgPlugins\flt\license.txt
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/gif/gif.dsp b/VisualStudio/osgPlugins/gif/gif.dsp
index c80e2abb0..9c7cf9694 100755
--- a/VisualStudio/osgPlugins/gif/gif.dsp
+++ b/VisualStudio/osgPlugins/gif/gif.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\gif\ReaderWriterGIF.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/jpeg/jpeg.dsp b/VisualStudio/osgPlugins/jpeg/jpeg.dsp
index 39a5dea74..20168a81c 100755
--- a/VisualStudio/osgPlugins/jpeg/jpeg.dsp
+++ b/VisualStudio/osgPlugins/jpeg/jpeg.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\jpeg\ReaderWriterJPEG.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/lib3ds/lib3ds.dsp b/VisualStudio/osgPlugins/lib3ds/lib3ds.dsp
index 7863ee683..29e892983 100644
--- a/VisualStudio/osgPlugins/lib3ds/lib3ds.dsp
+++ b/VisualStudio/osgPlugins/lib3ds/lib3ds.dsp
@@ -267,3 +267,4 @@ SOURCE=..\..\..\Src\osgPlugins\Lib3ds\Viewport.h
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/lwo/lwo.dsp b/VisualStudio/osgPlugins/lwo/lwo.dsp
index d95c6706d..1584d9bd3 100644
--- a/VisualStudio/osgPlugins/lwo/lwo.dsp
+++ b/VisualStudio/osgPlugins/lwo/lwo.dsp
@@ -119,3 +119,4 @@ SOURCE=..\..\..\Src\osgPlugins\lwo\lw.h
 # PROP Default_Filter ""
 # End Group
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/obj/obj.dsp b/VisualStudio/osgPlugins/obj/obj.dsp
index e7ddce238..1837c5d98 100644
--- a/VisualStudio/osgPlugins/obj/obj.dsp
+++ b/VisualStudio/osgPlugins/obj/obj.dsp
@@ -115,3 +115,4 @@ SOURCE=..\..\..\Src\osgPlugins\obj\glm.h
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/osg/dot_osg.dsp b/VisualStudio/osgPlugins/osg/dot_osg.dsp
index 22eac4d32..fdc1a542b 100755
--- a/VisualStudio/osgPlugins/osg/dot_osg.dsp
+++ b/VisualStudio/osgPlugins/osg/dot_osg.dsp
@@ -267,3 +267,4 @@ SOURCE=..\..\..\src\osgPlugins\osg\Transparency.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/osgtgz/osgtgz.dsp b/VisualStudio/osgPlugins/osgtgz/osgtgz.dsp
index ce14f1132..466b11d80 100644
--- a/VisualStudio/osgPlugins/osgtgz/osgtgz.dsp
+++ b/VisualStudio/osgPlugins/osgtgz/osgtgz.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\osgtgz\ReaderWriterOSGTGZ.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/pic/pic.dsp b/VisualStudio/osgPlugins/pic/pic.dsp
index 54a33be9b..dae54d68d 100755
--- a/VisualStudio/osgPlugins/pic/pic.dsp
+++ b/VisualStudio/osgPlugins/pic/pic.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\pic\ReaderWriterPIC.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/png/png.dsp b/VisualStudio/osgPlugins/png/png.dsp
index 40878ca1b..3677e0f84 100755
--- a/VisualStudio/osgPlugins/png/png.dsp
+++ b/VisualStudio/osgPlugins/png/png.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\png\ReaderWriterPNG.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/rgb/rgb.dsp b/VisualStudio/osgPlugins/rgb/rgb.dsp
index 16674936c..e0c60c4c2 100644
--- a/VisualStudio/osgPlugins/rgb/rgb.dsp
+++ b/VisualStudio/osgPlugins/rgb/rgb.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\rgb\ReaderWriterRGB.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/tga/tga.dsp b/VisualStudio/osgPlugins/tga/tga.dsp
index cd0ca4e78..d0648f31f 100755
--- a/VisualStudio/osgPlugins/tga/tga.dsp
+++ b/VisualStudio/osgPlugins/tga/tga.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\tga\ReaderWriterTGA.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/tgz/tgz.dsp b/VisualStudio/osgPlugins/tgz/tgz.dsp
index 038c4c841..8dbcce0d5 100644
--- a/VisualStudio/osgPlugins/tgz/tgz.dsp
+++ b/VisualStudio/osgPlugins/tgz/tgz.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\tgz\ReaderWriterTGZ.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/tiff/tiff.dsp b/VisualStudio/osgPlugins/tiff/tiff.dsp
index 2b5cfc489..fd29d421e 100755
--- a/VisualStudio/osgPlugins/tiff/tiff.dsp
+++ b/VisualStudio/osgPlugins/tiff/tiff.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\tiff\ReaderWriterTIFF.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/txp/txp.dsp b/VisualStudio/osgPlugins/txp/txp.dsp
index 982cdeebe..3966f64ff 100644
--- a/VisualStudio/osgPlugins/txp/txp.dsp
+++ b/VisualStudio/osgPlugins/txp/txp.dsp
@@ -247,3 +247,4 @@ SOURCE=..\..\..\src\osgPlugins\txp\TrPageParser.h
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgPlugins/zip/zip.dsp b/VisualStudio/osgPlugins/zip/zip.dsp
index 0262e7286..08e35533b 100644
--- a/VisualStudio/osgPlugins/zip/zip.dsp
+++ b/VisualStudio/osgPlugins/zip/zip.dsp
@@ -107,3 +107,4 @@ SOURCE=..\..\..\src\osgPlugins\zip\ReaderWriterZIP.cpp
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgText/osgText.dsp b/VisualStudio/osgText/osgText.dsp
index eef4f8056..b71a4730a 100644
--- a/VisualStudio/osgText/osgText.dsp
+++ b/VisualStudio/osgText/osgText.dsp
@@ -286,3 +286,4 @@ SOURCE=..\..\include\osgText\Version
 # End Group
 # End Target
 # End Project
+\c
diff --git a/VisualStudio/osgUtil/osgUtil.dsp b/VisualStudio/osgUtil/osgUtil.dsp
index 4971dc048..3be452172 100755
--- a/VisualStudio/osgUtil/osgUtil.dsp
+++ b/VisualStudio/osgUtil/osgUtil.dsp
@@ -334,3 +334,4 @@ SOURCE=..\..\Include\osgUtil\Version
 # End Group
 # End Target
 # End Project
+\c
